### Function

# FwupdPlugin common_check_full_disk_encryption

since: 1.7.1

#### Declaration [src]

    gboolean
    fu_common_check_full_disk_encryption (
      void
      GError** error
    )

#### Description [src]

Checks that all FDE volumes are not going to be affected by a firmware update. If unsure, return with failure and let the user decide.

Available since: 1.7.1

#### Return value

Type: `gboolean`

`TRUE` for success.